version: '3'
services:
  nginx-proxy:
    restart: always
    image: nginx
    container_name: nginx-proxy
    ports:
      - 80:80
      - 443:443
    volumes:
      - ./data/conf.d:/etc/nginx/conf.d
      - ./data/log:/var/log/nginx
      - ./data/conf/nginx.conf:/etc/nginx/nginx.conf
      - ./ssl:/ssl
      # - /usr/local/myApp:/usr/share/nginx/html
      # - /etc/letsencrypt:/etc/letsencrypt

  # https://blog.csdn.net/qq_42700766/article/details/128492794
  # username:admin
  # password:admin
  nginx-ui:
    restart: always
    image: crazyleojay/nginx_ui:latest
    container_name: nginx-ui
    ports:
      - 8880:80
      - 8889:8889
    volumes:
      - ./data/conf/nginx.conf:/install/nginx/conf/nginx.conf
      - ./data/conf.d:/etc/nginx/conf.d

  # https://blog.csdn.net/feifeiyechuan/article/details/115344837
  # https://www.cnblogs.com/Yogile/p/15002756.html
  # https://kevinmeng.fitit100.com/archives/shi-yong-nginxwebui-kuai-su-an-zhuang-he-pei-zhi-nginx
  # username:admin
  # password:admin/Admin123
  nginx-web-ui:
    restart: always
    image: cym1102/nginxwebui:latest
    container_name: nginx-web-ui
    privileged: true
    volumes:
      - ./nginxWebUI:/home/nginxWebUI
      - ./data/conf.d:/etc/nginx/conf.d
      - ./data/log:/var/log/nginx
      - ./data/conf/nginx.conf:/etc/nginx/nginx.conf
      - ./ssl:/ssl
    environment:
      BOOT_OPTIONS: "--server.port=8899"
    network_mode: "host"